# Created by pyp2rpm-3.3.8
%global pypi_name ed25519
%global pypi_version 1.5

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}.99
Summary:        Ed25519 public-key signatures

License:        MIT
URL:            https://github.com/warner/python-ed25519
Source0:        https://files.pythonhosted.org/packages/source/e/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python bindings to the Ed25519 public-key signature system.This offers a
comfortable python interface to a C implementation of the Ed25519 public-key
signature system using the portable 'ref' code from the 'SUPERCOP'
benchmarking suite. This system provides high (128-bit) security, short
(32-byte) keys, short (64-byte) signatures, and fast (2-6ms) operation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python bindings to the Ed25519 public-key signature system.This offers a
comfortable python interface to a C implementation of the Ed25519 public-key
signature system using the portable 'ref' code from the 'SUPERCOP'
benchmarking suite. This system provides high (128-bit) security, short
(32-byte) keys, short (64-byte) signatures, and fast (2-6ms) operation.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} %{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/edsig
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 20 2022 Oleg Girko <ol@infoserver.lv> - 1.5-1
- Initial package
